package com.ruoyi.iot.openfeign;

import com.ruoyi.iot.transdata.DataParam;
import com.ruoyi.iot.transdata.RpcResult;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;


/**
 *  利用feign 远程调用
 */
@Service
public class MsgService {

    @Value("${msgService}")
    private String url;

    public RpcResult sendMsg(DataParam dataParam){
        RpcResult rpcResult = FeginClientFactory.getFeginClient(FeginClientProxy.class, url).sendMsg(dataParam);
        return rpcResult;
    }

}
